Bug 1018 - mobility --> helper --> mobility circular dependency
mobility --> helper --> mobility circular dependency
Status: RESOLVED FIXED
Product: ns-3
Classification: Unclassified
Component: general
ns-3-dev
All All
: P5 normal
Assigned To: ns-bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-26 08:10 EDT by Gustavo J. A. M. Carneiro
Modified: 2011-02-25 14:45 EST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo J. A. M. Carneiro 2010-10-26 08:10:06 EDT
[227/269] cxx: src/mobility/steady-state-random-waypoint-mobility-model.cc -> build/debug/src/mobility/steady-state-random-waypoint-mobility-model_1.o
../src/mobility/steady-state-random-waypoint-mobility-model.cc:25: fatal error: ns3/node-container.h: No such file or directory
compilation terminated.
Comment 1 Gustavo J. A. M. Carneiro 2010-10-26 08:10:55 EDT
This is due to a unit testing code at the end of src/mobility/steady-state-random-waypoint-mobility-model.cc
Comment 2 Gustavo J. A. M. Carneiro 2010-10-26 10:16:37 EDT
I guess when the NodeContainer class moves from 'helper' to 'node' module, this problem will sort itself out. Then we have the dependency 'mobility' --> 'node', which I think is reasonable.
Comment 3 Gustavo J. A. M. Carneiro 2010-11-07 19:01:45 EST
Also this dependency is inserted by test suite code which should eventually move to a separate test program.
Comment 4 Tom Henderson 2011-02-25 14:45:36 EST
this was fixed at some point recently